function v = halton_seq(index, base)

v = 0;
base_inv = 1.0 / base;
bi = base_inv;

while index > 0
    d_i = mod(index, base);
    v = v + d_i * bi;
    index = index * base_inv;
    bi = bi * base_inv;
end

end