function stratification(nsamples, n)

img = ones(512);

total_samples = nsamples;

total_samples = round(total_samples/(n*n));

img_row = ones(512);
for i=1:round(512/n):512
    img_row(:,i) = 0.5;
    img_row(i,:) = 0.5;
end

img_row(end,:) = 0.5;
img_row(:,end) = 0.5;

div = 1/n;
for i=1:n
    for j=1:n
        
        for k=1:total_samples
            x = rand(1, 2);
            
            x(1) = x(1) * div + (i-1) * div;
            x(2) = x(2) * div + (j-1) * div;
            x = round(x * 512);
            x(x<1) = 1;
            x(x>512) = 512;
            
            img(x(2),x(1)) = 0;
        end
    end
end

Y = fft2(1-img);
out = abs(fftshift(Y)).^2/nsamples;
imshow(10*log10(out));

img=imerode(img, ones(5));
img = img .* img_row;
fn = ['img_',int2str(n),'.png'];
imwrite(img, fn);

end